OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.KHR.DebugCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetKHRDebug :: MonadIO m => m Bool
- gl_KHR_debug :: Bool
- gl_BUFFER :: GLenum
- gl_CONTEXT_FLAG_DEBUG_BIT :: GLbitfield
- gl_DEBUG_CALLBACK_FUNCTION :: GLenum
- gl_DEBUG_CALLBACK_USER_PARAM :: GLenum
- gl_DEBUG_GROUP_STACK_DEPTH :: GLenum
- gl_DEBUG_LOGGED_MESSAGES :: GLenum
- gl_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH :: GLenum
- gl_DEBUG_OUTPUT :: GLenum
- gl_DEBUG_OUTPUT_SYNCHRONOUS :: GLenum
- gl_DEBUG_SEVERITY_HIGH :: GLenum
- gl_DEBUG_SEVERITY_LOW :: GLenum
- gl_DEBUG_SEVERITY_MEDIUM :: GLenum
- gl_DEBUG_SEVERITY_NOTIFICATION :: GLenum
- gl_DEBUG_SOURCE_API :: GLenum
- gl_DEBUG_SOURCE_APPLICATION :: GLenum
- gl_DEBUG_SOURCE_OTHER :: GLenum
- gl_DEBUG_SOURCE_SHADER_COMPILER :: GLenum
- gl_DEBUG_SOURCE_THIRD_PARTY :: GLenum
- gl_DEBUG_SOURCE_WINDOW_SYSTEM :: GLenum
- gl_DEBUG_TYPE_DEPRECATED_BEHAVIOR :: GLenum
- gl_DEBUG_TYPE_ERROR :: GLenum
- gl_DEBUG_TYPE_MARKER :: GLenum
- gl_DEBUG_TYPE_OTHER :: GLenum
- gl_DEBUG_TYPE_PERFORMANCE :: GLenum
- gl_DEBUG_TYPE_POP_GROUP :: GLenum
- gl_DEBUG_TYPE_PORTABILITY :: GLenum
- gl_DEBUG_TYPE_PUSH_GROUP :: GLenum
- gl_DEBUG_TYPE_UNDEFINED_BEHAVIOR :: GLenum
- gl_DISPLAY_LIST :: GLenum
- gl_MAX_DEBUG_GROUP_STACK_DEPTH :: GLenum
- gl_MAX_DEBUG_LOGGED_MESSAGES :: GLenum
- gl_MAX_DEBUG_MESSAGE_LENGTH :: GLenum
- gl_MAX_LABEL_LENGTH :: GLenum
- gl_PROGRAM :: GLenum
- gl_PROGRAM_PIPELINE :: GLenum
- gl_QUERY :: GLenum
- gl_SAMPLER :: GLenum
- gl_SHADER :: GLenum
- gl_STACK_OVERFLOW :: GLenum
- gl_STACK_UNDERFLOW :: GLenum
- gl_VERTEX_ARRAY :: GLenum
- glDebugMessageCallback :: MonadIO m => GLDEBUGPROC -> Ptr a -> m ()
- glDebugMessageControl :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr GLuint -> GLboolean -> m ()
- glDebugMessageInsert :: MonadIO m => GLenum -> GLenum -> GLuint -> GLenum -> GLsizei -> Ptr GLchar -> m ()
- glGetDebugMessageLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> Ptr GLenum -> Ptr GLuint -> Ptr GLenum -> Ptr GLsizei -> Ptr GLchar -> m GLuint
- glGetObjectLabel :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetObjectPtrLabel :: MonadIO m => Ptr a -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetPointerv :: MonadIO m => GLenum -> Ptr (Ptr a) -> m ()
- glObjectLabel :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()
- glObjectPtrLabel :: MonadIO m => Ptr a -> GLsizei -> Ptr GLchar -> m ()
- glPopDebugGroup :: MonadIO m => m ()
- glPushDebugGroup :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()

# Extension Support

glGetKHRDebug :: MonadIO m => m Bool

Is the KHR_debug extension supported?

gl_KHR_debug :: Bool

Is the KHR_debug extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetKHRDebug` in those cases instead.

# Enums

gl_BUFFER :: GLenum

gl_CONTEXT_FLAG_DEBUG_BIT :: GLbitfield

gl_DEBUG_CALLBACK_FUNCTION :: GLenum

gl_DEBUG_CALLBACK_USER_PARAM :: GLenum

gl_DEBUG_GROUP_STACK_DEPTH :: GLenum

gl_DEBUG_LOGGED_MESSAGES :: GLenum

gl_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH :: GLenum

gl_DEBUG_OUTPUT :: GLenum

gl_DEBUG_OUTPUT_SYNCHRONOUS :: GLenum

gl_DEBUG_SEVERITY_HIGH :: GLenum

gl_DEBUG_SEVERITY_LOW :: GLenum

gl_DEBUG_SEVERITY_MEDIUM :: GLenum

gl_DEBUG_SEVERITY_NOTIFICATION :: GLenum

gl_DEBUG_SOURCE_API :: GLenum

gl_DEBUG_SOURCE_APPLICATION :: GLenum

gl_DEBUG_SOURCE_OTHER :: GLenum

gl_DEBUG_SOURCE_SHADER_COMPILER :: GLenum

gl_DEBUG_SOURCE_THIRD_PARTY :: GLenum

gl_DEBUG_SOURCE_WINDOW_SYSTEM :: GLenum

gl_DEBUG_TYPE_DEPRECATED_BEHAVIOR :: GLenum

gl_DEBUG_TYPE_ERROR :: GLenum

gl_DEBUG_TYPE_MARKER :: GLenum

gl_DEBUG_TYPE_OTHER :: GLenum

gl_DEBUG_TYPE_PERFORMANCE :: GLenum

gl_DEBUG_TYPE_POP_GROUP :: GLenum

gl_DEBUG_TYPE_PORTABILITY :: GLenum

gl_DEBUG_TYPE_PUSH_GROUP :: GLenum

gl_DEBUG_TYPE_UNDEFINED_BEHAVIOR :: GLenum

gl_DISPLAY_LIST :: GLenum

gl_MAX_DEBUG_GROUP_STACK_DEPTH :: GLenum

gl_MAX_DEBUG_LOGGED_MESSAGES :: GLenum

gl_MAX_DEBUG_MESSAGE_LENGTH :: GLenum

gl_MAX_LABEL_LENGTH :: GLenum

gl_PROGRAM :: GLenum

gl_PROGRAM_PIPELINE :: GLenum

gl_QUERY :: GLenum

gl_SAMPLER :: GLenum

gl_SHADER :: GLenum

gl_STACK_OVERFLOW :: GLenum

gl_STACK_UNDERFLOW :: GLenum

gl_VERTEX_ARRAY :: GLenum

# Functions

glDebugMessageCallback

Arguments

:: MonadIO m |
=> GLDEBUGPROC | `callback`.
-> Ptr a | `userParam`.
-> m () |

Manual page for OpenGL 4.x.

glDebugMessageControl

Arguments

:: MonadIO m |
=> GLenum | `source`.
-> GLenum | `type`.
-> GLenum | `severity`.
-> GLsizei | `count`.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> GLboolean | `enabled` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.

glDebugMessageInsert

Arguments

:: MonadIO m |
=> GLenum | `source`.
-> GLenum | `type`.
-> GLuint | `id`.
-> GLenum | `severity`.
-> GLsizei | `length`.
-> Ptr GLchar | `buf` pointing to `COMPSIZE(buf,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetDebugMessageLog

Arguments

:: MonadIO m |
=> GLuint | `count`.
-> GLsizei | `bufSize`.
-> Ptr GLenum | `sources` pointing to `count` elements of type `GLenum`.
-> Ptr GLenum | `types` pointing to `count` elements of type `GLenum`.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> Ptr GLenum | `severities` pointing to `count` elements of type `GLenum`.
-> Ptr GLsizei | `lengths` pointing to `count` elements of type `GLsizei`.
-> Ptr GLchar | `messageLog` pointing to `bufSize` elements of type `GLchar`.
-> m GLuint |

Manual page for OpenGL 4.x.

glGetObjectLabel

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `name`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `label` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetObjectPtrLabel

Arguments

:: MonadIO m |
=> Ptr a | `ptr`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `label` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetPointerv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPointervPName.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 4.x.

glObjectLabel

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `name`.
-> GLsizei | `length`.
-> Ptr GLchar | `label` pointing to `COMPSIZE(label,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glObjectPtrLabel

Arguments

:: MonadIO m |
=> Ptr a | `ptr`.
-> GLsizei | `length`.
-> Ptr GLchar | `label` pointing to `COMPSIZE(label,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glPopDebugGroup :: MonadIO m => m ()

Manual page for OpenGL 4.x.

glPushDebugGroup

Arguments

:: MonadIO m |
=> GLenum | `source`.
-> GLuint | `id`.
-> GLsizei | `length`.
-> Ptr GLchar | `message` pointing to `COMPSIZE(message,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.